gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-deployment] branch master updated: aptly: add init script


From: gnunet
Subject: [taler-deployment] branch master updated: aptly: add init script
Date: Thu, 16 Jan 2025 18:21:46 +0100

This is an automated email from the git hooks/post-receive script.

dvn pushed a commit to branch master
in repository taler-deployment.

The following commit(s) were added to refs/heads/master by this push:
     new 1d2775a  aptly: add init script
1d2775a is described below

commit 1d2775a2f8086764ab896c787363d1f9d02562bf
Author: Devan Carpenter <devan@taler.net>
AuthorDate: Thu Jan 16 17:21:21 2025 +0000

    aptly: add init script
---
 aptly/aptly-init.sh | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

diff --git a/aptly/aptly-init.sh b/aptly/aptly-init.sh
new file mode 100755
index 0000000..19d4e16
--- /dev/null
+++ b/aptly/aptly-init.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+set -exou pipefail
+
+REPOROOT="${HOME}"/.aptly/public
+PUBLISHPATH="${HOME}"/public_nightly_repo
+DATESTAMP=$(date -Iseconds)
+SIGNING_KEY=79435E7226F4BD5332D657AC61BB851C184F44CF
+mkdir -p "${HOME}"/incoming/bookworm-taler-ci
+aptly repo create -distribution=bookworm -component=main taler-ci-snapshots
+aptly repo add taler-ci-snapshots /home/aptbuilder/incoming/bookworm-taler-ci 
|| true
+aptly snapshot create "taler-${DATESTAMP}" from repo taler-ci-snapshots
+aptly -gpg-provider="gpg2" publish -architectures="amd64,arm64" 
-gpg-key="${SIGNING_KEY}"  snapshot "taler-${DATESTAMP}"
+aptly -gpg-provider="gpg2" publish -architectures="amd64,arm64" switch 
bookworm "taler-${DATESTAMP}"
+
+# Publish a list of all packages in the repo
+aptly repo show -with-packages taler-ci-snapshots > "${REPOROOT}"/packages.txt

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]